Subject: Re: [PATCH net-next v2] net: macb: set default_an_inband to true for SGMII

From: Jakub Kicinski <[email-masked]>
Date: Sat, 14 Mar 2026 09:08:14 -0700

On Sat, 14 Mar 2026 09:06:08 +0000 Russell King (Oracle) wrote:
> > I'm assuming this needs a respin now to account for the erronously
> > merged patch?  
> 
> It can be merged as well as the vitesse patch.
> 
> The problem with the vitesse patch is it _would_ break for MACs that
> use phylink and always enable SGMII inband against phylink's
> instruction as the vitesse PHY comes up with SGMII inband enabled.
> Do we know of any MACs that are like that... well yes. There's at
> least one, the thorn of a driver, the poor implementation, known as
> stmmac. However, that wasn't the only one - the patch which caused
> this regression shows that macb also ignored phylink's wishes.
> 
> Are there others? We don't know. This makes the vitesse patch
> potentially unsafe and potentially being reverted if problems are
> found during 7.1-rc.
> 
> So, I think having both patches in gives to best approach for now -
> at least if the vitesse patch gets reverted, macb won't regress.

SG, thanks for explaining! I'll apply this after the weekend.